<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve 2 question of binary tree</p>
		<button onclick="levelOrder_sorted()">level order traversal in sorted order form</button>
		<p id="demo"></p>

		<script>
			function levelOrder_sorted() {
			
				// Node class
				class Node {
					constructor(data)
					{
						this.data = data;
						this.left = null;
						this.right = null;
					}
				}
				
				// Binary Search tree class
				class Tree {
					constructor() {
					// root of a binary seach tree
					this.root = null;
				}

                // returns root of the tree
			    getRootNode() {
				    return this.root;
			    }

                //function for getting levels of tree
                height(node) {
                    if(node == null) 
                        return 0;
                    else {
                        //Compute the height of each subtree  
                            var lheight = this.height(node.left);
                            var rheight = this.height(node.right); 
                
                            //Use the larger one 
                            if(lheight > rheight)
                                return lheight+1;
                            else 
                                return rheight+1;
                    }
                }

                //Function to  print level order traversal of tree 
                print_Level_Order(root) {
                    var h = this.height(root);
                    for(var i=1;i<=h;i++) {
                        this.Given_Level(root, i); 
                        console.log(array.sort(function(a, b){return a - b}));
                        array = [];
                    }
                }
                
                //Print nodes at a given level 
                Given_Level(root , level) { 
                    if(root == null)
                        return;
                    if(level == 1) 
                        array.push(root.data);
                    else if(level > 1) { 
                       this.Given_Level(root.left , level-1) ;
                       this.Given_Level(root.right , level-1);
                    }
                }
			
            }


            
            // create an object for the Tree
            var tree = new Tree();
            tree.root = new Node(7);
            tree.root.left = new Node(6);
            tree.root.right = new Node(5);
            tree.root.left.left = new Node(4);
            tree.root.left.right = new Node(3)
            tree.root.right.left = new Node(2);
            tree.root.right.right = new Node(1); 
            var rootNode = tree.getRootNode();
            var array = [];
            tree.print_Level_Order(rootNode);
        }
		</script>

	</body>
</html>